Copyright (c) 2022 Dr. Ing. h.c. F. Porsche AG

The Porsche Design System source code is licensed under the Apache License, Version 2.0 (the "License"); you may not use
this file except in compliance with the License. You may obtain a copy of the License at
[https://apache.org/licenses/LICENSE-2.0](https://apache.org/licenses/LICENSE-2.0).

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an
"AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific
language governing permissions and limitations under the License.

All Porsche specific design assets like fonts, icons, marque, etc. are licensed under the Porsche Design System Assets
License Agreement.

By accessing, using or contributing to the Design System of Porsche ('Porsche Design System'), you agree to the
following Porsche Design System Assets License Agreement agreement ('Agreement') with Dr. Ing. h.c. F. Porsche AG,
Germany ('Porsche AG') and its affiliates (“we”, “our”, “us” or "Porsche"). Porsche reserves the right to change and
update this licensing agreement at any time.

### License

Subject to the terms of this Agreement, Porsche grants you a limited, worldwide, royalty-free, non-assignable,
non-transferable, non-sublicensable, and non-exclusive license to use the Porsche Design System Assets solely to
develop, test, and distribute software applications, websites, and interfaces on behalf of Porsche that are available
via [https://porsche.com](https://porsche.com) or any associated websites or other Porsche software (“Applications”).

### License Restrictions

You may not use the Porsche Design System Assets (i) to develop, test, or distribute an external, stand-alone
Application (“External Application”) unless such External Application is not identical to and is dissimilar and visually
distinct from Porsche products and services, as determined by Porsche in its sole discretion, (ii) to mislead consumers
as to Porsche’s sponsorship of, affiliation with, or endorsement of you, your organization, or your Application, and
(iii) for any purpose not expressly permitted by this License Agreement. For clarity, any Application that embeds
directly inside the Porsche Admin or other Porsche interface that allows for the embedding of Applications (“Embedded
Application”), as determined by Porsche in its sole discretion, may be visually similar, but not identical, to Porsche
products and services. You may not modify, adapt, redistribute, or create derivative works of the Porsche Design System
Assets or any part of the Porsche Design System Assets.

### Ownership of Intellectual Property

You agree that Porsche owns all legal right, title and interest in and to the Porsche products and services, including
the Porsche Design System and the Porsche Design System Assets, including any Intellectual Property Rights inherent
therein and related thereto. “Intellectual Property Rights” means any and all rights under patent law, copyright law,
trade secret law, trademark law, and any and all other proprietary rights. Porsche reserves all rights not expressly
granted to you.

### Termination

Porsche may terminate this Agreement: (a) if you breach any of the terms of this Agreement or (b) if Porsche ceases to
make the Porsche Design System Assets generally available. Either party may terminate this Agreement at any time, with
or without cause. Upon termination, your Porsche Design System Assets license will also terminate. This means that you
must cease using the Porsche Design System Assets and delete all copies of the Porsche Design System Assets. All terms
of this Agreement will survive the termination or expiration of this Agreement, except for your license right granted in
Section 1.

### No Warranty

THE Porsche Design System Assets ARE PROVIDED “AS IS” AND “WITH ALL FAULTS”. PORSCHE AND ITS THIRD PARTY LICENSORS
DISCLAIM ALL REPRESENTATIONS, WARRANTIES AND GUARANTEES, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING IMPLIED
WARRANTIES OF MERCHANTABILITY, TITLE, NON-INFRINGEMENT AND FITNESS FOR ANY PURPOSE. PORSCHE MAKES NO REPRESENTATION,
WARRANTY OR GUARANTEE RELATED TO RELIABILITY, ACCURACY, OR COMPLETENESS OF THE Porsche Design System Assets OR THAT YOUR
USE OF THE Porsche Design System Assets WILL BE SECURE, TIMELY, UNINTERRUPTED OR ERROR-FREE. THE Porsche Design System
Assets MAY NOT MEET YOUR REQUIREMENTS OR EXPECTATIONS.

### Limitation of Liability

IN NO EVENT SHALL PORSCHE BE LIABLE FOR ANY LOSS OF USE, LOST DATA, FAILURE OF SECURITY MECHANISMS, INTERRUPTION OF
BUSINESS, OR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY KIND (INCLUDING LOST PROFITS OR LOST
DATA), REGARDLESS OF THE FORM OF ACTION, WHETHER IN CONTRACT, TORT (INCLUDING NEGLIGENCE), STRICT LIABILITY OR
OTHERWISE, EVEN IF INFORMED OF THE POSSIBILITY OF SUCH DAMAGES IN ADVANCE. PORSCHE SHALL NOT BE LIABLE FOR ANY DAMAGES
THAT YOU MAY SUFFER IN CONNECTION WITH THE PERFORMANCE OF THE Porsche Design System Assets. NOTWITHSTANDING ANY OTHER
PROVISION OF THIS AGREEMENT, PORSCHE’S ENTIRE LIABILITY TO YOU UNDER THIS AGREEMENT SHALL NOT EXCEED FIVE HUNDRED US
DOLLARS ($500). THE ABOVE WARRANTY DISCLAIMERS AND LIMITATIONS OF LIABILITY APPLY TO THE MAXIMUM EXTENT PERMITTED BY
LAW, BUT YOU MAY HAVE OTHER STATUTORY RIGHTS, WHICH THIS AGREEMENT CANNOT CHANGE. The limitations in this Section 6 will
survive and apply even if any limited remedy specified in this Agreement is found to have failed of its essential
purpose.

### Applications; Indemnification

You are solely responsible for your Applications, your use of Porsche Design System Assets, and your compliance with
this Agreement. You agree to indemnify, defend and hold Porsche and its affiliates and their respective directors,
officers, employees, successors, assigns, insurers, independent contractors and agents harmless from and against any and
all claims, costs, damages, losses, liabilities and expenses (including reasonable attorneys’ fees and costs) arising
out of any claim relating to (a) your Applications, (b) your use of the Porsche Design System Assets or (c) your breach
of this Agreement. Porsche may participate in defending the claim at its own expense. You may not settle any claim
without Porsche’s prior written consent. If you distribute your Applications to others, you agree to require the end
users to agree that Porsche has no liability, warranty, or support or other obligations related to your Applications.

#### General

1. Severability If any provision of this Agreement is, for any reason, held to be invalid, illegal or unenforceable in
   any respect, then such invalidity, illegality or unenforceability will not affect any other provision of this
   Agreement, and this Agreement will be construed as if such invalid, illegal or unenforceable provision had never been
   contained within this Agreement.

2. No Waiver The failure of either party to insist upon or enforce strict performance by the other party of any
   provision of this Agreement or to exercise any right under this Agreement shall not be construed as a waiver or
   relinquishment to any extent of such party’s right to assert or rely upon any such provision or right in that or any
   other instance; rather, the same shall be and remain in full force and effect. Each waiver shall be set forth in a
   written instrument signed by the waiving party.

3. Entire Agreement This Agreement, including all guidelines and other documents linked or otherwise incorporated or
   referenced herein, sets forth the entire agreement and supersedes any and all prior agreements, written or oral, of
   the parties with respect to the subject matter hereof (including any prior version of this Agreement).

4. Assignment All the terms and provisions of this Agreement shall be binding upon and inure to the benefit of the
   parties to the Agreement and to their respective heirs, successors, permitted assigns and legal representatives.
   Porsche shall be permitted to assign this Agreement without notice to or consent from you. You shall have no right to
   assign or otherwise transfer the Agreement, or any of your rights or obligations hereunder, to any third party
   without Porsche’s prior written consent, to be given or withheld in Porsche’s sole discretion.

5. Applicable Law This Agreement will be governed by and construed in accordance with the laws of Germany, excluding
   conflicts of law rules and principles. Each party submits to the personal and exclusive jurisdiction of the courts
   located in Stuttgart, Germany. Nothing in this Agreement limits Porsche’s rights to seek equitable relief.

Last updated: February 20, 2022
