import { EventEmitter } from '@angular/core';
import { BaseComponentWithTheme } from '../../utils';
import type { CarouselAlignControls, CarouselAlignHeader, SelectedAriaAttributes, CarouselAriaAttribute, BreakpointCustomizable, CarouselGradientColor, CarouselHeadingSize, CarouselInternationalization, CarouselSlidesPerPage, Theme, CarouselWidth } from '../types';
import * as i0 from "@angular/core";
export declare class PCarousel extends BaseComponentWithTheme {
    activeSlideIndex?: number;
    alignControls?: CarouselAlignControls;
    alignHeader?: CarouselAlignHeader;
    aria?: SelectedAriaAttributes<CarouselAriaAttribute>;
    description?: string;
    /** @deprecated */
    disablePagination?: BreakpointCustomizable<boolean>;
    focusOnCenterSlide?: boolean;
    gradientColor?: CarouselGradientColor;
    heading?: string;
    headingSize?: CarouselHeadingSize;
    intl?: CarouselInternationalization;
    pagination?: BreakpointCustomizable<boolean>;
    rewind?: boolean;
    skipLinkTarget?: string;
    slidesPerPage?: BreakpointCustomizable<CarouselSlidesPerPage>;
    theme?: Theme;
    trimSpace?: boolean;
    width?: CarouselWidth;
    /** @deprecated */
    wrapContent?: boolean;
    /** @deprecated */
    carouselChange: EventEmitter<CustomEvent<import("../types").CarouselUpdateEvent>>;
    update: EventEmitter<CustomEvent<import("../types").CarouselUpdateEvent>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<PCarousel, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PCarousel, "p-carousel,[p-carousel]", never, { "activeSlideIndex": { "alias": "activeSlideIndex"; "required": false; }; "alignControls": { "alias": "alignControls"; "required": false; }; "alignHeader": { "alias": "alignHeader"; "required": false; }; "aria": { "alias": "aria"; "required": false; }; "description": { "alias": "description"; "required": false; }; "disablePagination": { "alias": "disablePagination"; "required": false; }; "focusOnCenterSlide": { "alias": "focusOnCenterSlide"; "required": false; }; "gradientColor": { "alias": "gradientColor"; "required": false; }; "heading": { "alias": "heading"; "required": false; }; "headingSize": { "alias": "headingSize"; "required": false; }; "intl": { "alias": "intl"; "required": false; }; "pagination": { "alias": "pagination"; "required": false; }; "rewind": { "alias": "rewind"; "required": false; }; "skipLinkTarget": { "alias": "skipLinkTarget"; "required": false; }; "slidesPerPage": { "alias": "slidesPerPage"; "required": false; }; "theme": { "alias": "theme"; "required": false; }; "trimSpace": { "alias": "trimSpace"; "required": false; }; "width": { "alias": "width"; "required": false; }; "wrapContent": { "alias": "wrapContent"; "required": false; }; }, { "carouselChange": "carouselChange"; "update": "update"; }, never, ["*"], false, never>;
}
